<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>JS HW-8</title>
</head>
<body style="display: flex; flex-direction: column; gap: 20px; padding: 50px;">
   
   


    <h1 class="feature">1. Це спосіб представлення веб-сторінок за допомогою набору об’єктів, массивів, то що, що дозволяє змінювати вміст і стиль документів за допомогою js і залежно від вказаних умов.</h1>
    

    <h1>2. innerText передає всю внутрішню інформацію між всіма вкладеними елементами, тоді як innerHTML передає текст разом з розміткою HTML.

        
    <h1>3. Якщо потрібно отримати один елемент за його ідентифікатором, використовується getElementById(), якщо за складними селекторами -- querySelector() або querySelectorAll() якщо треба группа елементів з одним значенням селектора. Кращий спосіб залежить від конкретної ситуації.</h1>

    <h1>4. Дві структури данних. HTMLCollection — динамічна, яка автоматично оновлюється при змінах. NodeList — статична, яка не змінюється після формування.</h1>


    <h2 class="feature-title"></h2>
    <h2></h2>
    <script src="./jsHw9.js"></script>
</body>
</html>